picard.vcf

## Class CollectVariantCallingMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.CollectVariantCallingMetrics

-     public class CollectVariantCallingMetrics
      extends CommandLineProgram

  Collects summary and per-sample metrics about variant calls in a VCF file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectVariantCallingMetrics.VariantCallingDetailMetrics` A collection of metrics relating to snps and indels within a variant-calling file (VCF) for a given sample.
    `static class` | `CollectVariantCallingMetrics.VariantCallingSummaryMetrics` A collection of metrics relating to snps and indels within a variant-calling file (VCF).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `DBSNP`
    `boolean` | `GVCF_INPUT`
    `File` | `INPUT`
    `File` | `OUTPUT`
    `File` | `SEQUENCE_DICTIONARY`
    `File` | `TARGET_INTERVALS`
    `int` | `THREAD_COUNT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectVariantCallingMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="Input vcf file for analysis")
          public File INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="Path (except for the file extension) of output metrics files to write.")
          public File OUTPUT

    - #### DBSNP

          @Option(doc="Reference dbSNP file in dbSNP or VCF format.")
          public File DBSNP

    - #### TARGET_INTERVALS

          @Option(shortName="TI",
                  doc="Target intervals to restrict analysis to.",
                  optional=true)
          public File TARGET_INTERVALS

    - #### SEQUENCE_DICTIONARY

          @Option(shortName="SD",
                  optional=true,
                  doc="If present, speeds loading of dbSNP file, will look for dictionary in vcf if not present here.")
          public File SEQUENCE_DICTIONARY

    - #### GVCF_INPUT

          @Option(doc="Set to true if running on a single-sample gvcf.",
                  optional=true)
          public boolean GVCF_INPUT

    - #### THREAD_COUNT

          @Option
          public int THREAD_COUNT

  - ### Constructor Detail

    - #### CollectVariantCallingMetrics

          public CollectVariantCallingMetrics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.